from setuptools import setup

name = "types-pyperclip"
description = "Typing stubs for pyperclip"
long_description = '''
## Typing stubs for pyperclip

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`pyperclip`](https://github.com/asweigart/pyperclip) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `pyperclip`. This version of
`types-pyperclip` aims to provide accurate annotations for
`pyperclip==1.9.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/pyperclip`](https://github.com/python/typeshed/tree/main/stubs/pyperclip)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.389,
and pytype 2024.10.11.
It was generated from typeshed commit
[`4050dd42ef7ef3311bfd86cfd2d74dd8d809d47e`](https://github.com/python/typeshed/commit/4050dd42ef7ef3311bfd86cfd2d74dd8d809d47e).
'''.lstrip()

setup(name=name,
      version="1.9.0.20250218",
      description=description,
      long_description=long_description,
      long_description_content_type="text/markdown",
      url="https://github.com/python/typeshed",
      project_urls={
          "GitHub": "https://github.com/python/typeshed",
          "Changes": "https://github.com/typeshed-internal/stub_uploader/blob/main/data/changelogs/pyperclip.md",
          "Issue tracker": "https://github.com/python/typeshed/issues",
          "Chat": "https://gitter.im/python/typing",
      },
      install_requires=[],
      packages=['pyperclip-stubs'],
      package_data={'pyperclip-stubs': ['__init__.pyi', 'METADATA.toml', 'py.typed']},
      license="Apache-2.0",
      python_requires=">=3.9",
      classifiers=[
          "License :: OSI Approved :: Apache Software License",
          "Programming Language :: Python :: 3",
          "Typing :: Stubs Only",
      ]
)
